local L = AceLibrary("AceLocale-2.2"):new("Elephant")

--[[ Bindings ]]
BINDING_HEADER_ELEPHANT = "Elephant"
BINDING_NAME_TOGGLE = L['toggle']

--[[ Popup dialogs ]]
StaticPopupDialogs['ELEPHANT_CLEARALL'] = {
	text = L['clearallpopup'][1],
	button1 = L['clearallpopup'][2],
	button2 = L['clearallpopup'][3],
	OnAccept = function ()
		Elephant:ClearAllLogs()
	end,
	timeout = 0,
	whileDead = 1,
	hideOnEscape = 1,
	showAlert = 1,
}
StaticPopupDialogs['ELEPHANT_EMPTY'] = {
	text = L['emptypopup'][1],
	button1 = L['emptypopup'][2],
	button2 = L['emptypopup'][3],
	OnAccept = function ()
		Elephant:EmptyCurrentLog()
	end,
	timeout = 0,
	whileDead = 1,
	hideOnEscape = 1,
	showAlert = 1,
}
StaticPopupDialogs['ELEPHANT_RESET'] = {
	text = L['resetpopup'][1],
	button1 = L['resetpopup'][2],
	button2 = L['resetpopup'][3],
	OnAccept = function ()
		Elephant:Reset()
	end,
	timeout = 0,
	whileDead = 1,
	hideOnEscape = 1,
	showAlert = 1,
}

--[[ Creating AddOn ]]
Elephant = AceLibrary("AceAddon-2.0"):new("AceDB-2.0", "AceConsole-2.0", "AceEvent-2.0", "FuBarPlugin-2.0")
local Elephant, self = Elephant, Elephant

--[[ Registering database ]]
Elephant:RegisterDB("ElephantDB", "ElephantDBPerChar")

--[[ Managing config ]]
Elephant.defaultConf = {
	--[[ Positions ]]
	position = { x = 0, y = -150 },
	copyposition = { x = 0, y = -175 },
	
	--[[ Log sizes / Scroll sizes ]]
	minlogsize = 50,
	maxlogsize = 1000,
	mincombatlogsize = 50,
	maxcombatlogsize = 2000,
	scrollmaxlines = 32,
	scrollpage = 20,
	scrollmouse = 3,
	copywindowmaxlines = 150,
	
	--[[ Custom colors for the main and copy frame ]]
	colors = {
		maxlog = { r = 1.0, g = 1.0, b = 1.0, a = 1.0 },
		tab = { r = 1.0, g = 1.0, b = 1.0, a = 1.0 },
		currentline = { r = 1.0, g = 1.0, b = 1.0, a = 1.0 },
		disabledchannel = { r = 0.5, g = 0.5, b = 0.5, a = 1.0 }
	},
	
	--[[ Logs ]]
	defaultindexes = {
		whisper = 1,
		raid = 2,
		party = 3,
		say = 4,
		yell = 5,
		officer = 6,
		guild = 7,
		loot = 8,
		system = 9,
		combat = 10,
	},
	defaultnames = {
		whisper = L['chatnames']['whisper'],
		raid = L['chatnames']['raid'],
		party = L['chatnames']['party'],
		say = L['chatnames']['say'],
		yell = L['chatnames']['yell'],
		officer = L['chatnames']['officer'],
		guild = L['chatnames']['guild'],
		loot = L['chatnames']['loot'],
		system = L['chatnames']['system'],
		combat = L['chatnames']['combat'],
	},
	defaultlogindex = 1,
	defaultline = 0,
	nomisc = 7,
	
	--[[ Temp data for specific channels ]]
	lootmethod = nil,
	masterlooter = nil,
	
	--[[ Saved data ]]
	savedconfdefaults = {
		chatlog = false,
		combatlog = false,
		defaultlog = true,
		maxlog = 250,
		maxcombatlog = 500,
		button = false,
	},
	savedpercharconfdefaults = {
		logs = {},
		currentlogindex = nil,
	},
}
Elephant.defaultConf.savedpercharconfdefaults.currentlogindex = Elephant.defaultConf.defaultlogindex

Elephant.tempConf = {
	currentline = Elephant.defaultConf.defaultline,
}

--[[ Registering database defaults ]]
Elephant:RegisterDefaults('profile', Elephant.defaultConf['savedconfdefaults'])
Elephant:RegisterDefaults('char', Elephant.defaultConf['savedpercharconfdefaults'])

--[[ Dropdowns ]]
Elephant.dropdowns = {}
Elephant.dropdowns.customChats = AceLibrary("Dewdrop-2.0")
Elephant.dropdowns.generalChats = AceLibrary("Dewdrop-2.0")
Elephant.dropdowns.miscChats = AceLibrary("Dewdrop-2.0")

--[[ FuBarPlugin parameters ]]
Elephant.title = "Elephant"
Elephant.hasIcon = true
Elephant.cannotDetachTooltip = true
Elephant.hasNoColor = true
Elephant.defaultPosition = "CENTER"
Elephant.hideWithoutStandby = true
function Elephant:OnClick()
	self:Toggle()
end